Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Class TestResultTable.PathRecord

    java.lang.Object
      com.sun.javatest.TestResultTable.PathRecord

Enclosing class:
  TestResultTable

    public class TestResultTable.PathRecord

extends java.lang.Object

Keeps track of the path to a specific node in the TestResultTable tree. This class is made available so that a path which consists of zero or more TreeNodes plus zero or one TestResult can be represented without using a Object[].

Method Summary
`TestResultTable.TreeNode[]` | `generateNodes(TestResult tr)` Generate the path to a given test.
`int[]` | `getIndicies()` Provides the indexes into each node provided by `getNodes()`.
`TestResultTable.TreeNode[]` | `getNodes()` Get the nodes that represent the path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getIndicies

    public int[] getIndicies()

  Provides the indexes into each node provided by `getNodes()`.

  Returns:
    The indexes of the corresponding TreeNode at each level. Null if no index information is available;

### getNodes

    public TestResultTable.TreeNode[] getNodes()

  Get the nodes that represent the path.

  Returns:
    The path, closest to the root at the beginning of the array.

### generateNodes

    public TestResultTable.TreeNode[] generateNodes(TestResult tr)

  Generate the path to a given test.

  Parameters:
    `tr` - The test to generate the path to.
  Returns:
    The path that leads to the given test.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.